[![Build Status](https://travis-ci.org/ests/rails_logtruncate.svg?branch=master)](https://travis-ci.org/ests/rails_logtruncate)
# RailsLogtruncate

A tiny gem that truncates ```log/development.log``` and ```log/test.log```
when they reach certain size.

* Truncates log file before Rails initialization.
* The effect is similar to ```rake log:clear``` task, log file will be truncated
  to 0 bytes.
* Add it to your Gemfile, and forget - when a log file reaches **5 megabytes**
  it will be automatically truncated.
* Doesn't touch production log.
* Doesn't break ```tail -f```.

## Installation

Gemfile:

```
  gem 'rails_logtruncate'
```

Additionally you can put it under ```[:test, :development]``` group.

## Configuration

You can control maximum size of log files in environment files:

```
config.logtruncate.max_file_size = 1024 * 1024
```

To disable truncation set value to zero:

```
config.logtruncate.max_file_size = 0
```
